Bug 1510108 - update 2.44
Summary: update 2.44
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: frotz
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Grau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 17:29 UTC by mastaiza
Modified: 2019-11-27 18:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:17:12 UTC
Type: Bug


Attachments (Terms of Use)
Makefile patch, updated for frotz-2.44 dist sources (907 bytes, patch)
2018-03-29 12:34 UTC, "FeRD" (Frank Dana)
no flags Details | Diff
frotz.conf patch, updated for frotz-2.44 dist sources (1.33 KB, patch)
2018-03-29 12:35 UTC, "FeRD" (Frank Dana)
no flags Details | Diff

Description mastaiza 2017-11-06 17:29:33 UTC
update to 2.44
https://github.com/DavidGriffith/frotz/releases

Comment 1 "FeRD" (Frank Dana) 2018-03-29 12:34:07 UTC
According to /usr/share/doc/frotz/ChangeLog the current 2.43 version was "released on Monday October 28, 2002". Impressive!

Meanwhile, the 2.44 release (May 20, 2015) builds with the same .spec file as 2.43, the only update required is to refresh the Fedora patch files so they apply on the newer sources.

It also contains significant fixes applied over the intervening 12.5 years. Among many improvements, frotz-2.44 is better able to recognize valid games in more ancient z-machine format, files which the currently-disting frotz-2.43 refuses to load. (Those same files load without issue in gargoyle and other interpreters.)

Spec changes necessary to successfully build 2.44 were confined to metadata:

--- frotz.spec	2017-08-02 20:30:35.000000000 -0400
+++ frotz-2.44.spec	2018-03-29 08:31:15.620577238 -0400
@@ -1,14 +1,14 @@
 Name:           frotz
-Version:        2.43
-Release:        22%{?dist}
+Version:        2.44
+Release:        0.1%{?dist}
 Summary:        Interpreter for Infocom and other Z-machine games
 
 Group:          Amusements/Games
 License:        GPLv2+
-URL:            http://www.cs.csubak.edu/~dgriffi/proj/frotz/
-Source0:        http://www.cs.csubak.edu/~dgriffi/proj/frotz/files/frotz-2.43.tar.gz
-Patch1:         frotz-2.43-Makefile.patch
-Patch2:         frotz-2.43-conf.patch
+URL:            https://github.com/DavidGriffith/frotz/
+Source0:        https://github.com/DavidGriffith/frotz/archive/2.44.tar.gz#/frotz-2.44.tar.gz
+Patch1:         frotz-2.44-Makefile.patch
+Patch2:         frotz-2.44-conf.patch

Will attach referenced patch files to ticket.

Comment 2 "FeRD" (Frank Dana) 2018-03-29 12:34:55 UTC
Created attachment 1414751 [details]
Makefile patch, updated for frotz-2.44 dist sources

Comment 3 "FeRD" (Frank Dana) 2018-03-29 12:35:26 UTC
Created attachment 1414752 [details]
frotz.conf patch, updated for frotz-2.44 dist sources

Comment 4 Ben Cotton 2018-11-27 16:25:19 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-10-31 20:27:02 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 "FeRD" (Frank Dana) 2019-10-31 23:50:39 UTC
I guess it's time to consider frotz an abandoned Fedora package, huh? Maybe I'll look into taking ownership, I know I have that new-procedures email somewhere...

(I admit I'd forgotten about this, I built and installed a 2.44 RPM for my own use so the Fedora packaging has been ignored ever since.)

Comment 7 "FeRD" (Frank Dana) 2019-10-31 23:54:10 UTC
Also, just for the record / housekeeping purposes, the GitHub repo is now archived, and the official Frotz source code repo has moved to https://gitlab.com/DavidGriffith/frotz

Comment 8 Ben Cotton 2019-11-27 18:17:12 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.